Subject: Re: bug#17983: 24.4.50; digit keys in *Messages* unhelpful, hang Emacs, etc.

From: Eli Zaretskii <[email-masked]>
Date: Thu, 10 Jul 2014 19:42:30 +0300

> Date: Thu, 10 Jul 2014 09:25:50 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> It would be good, IMO, if there were some echo-area feedback when
> you hit an octal digit after C-q.  Please consider that enhancement
> request.

It's not an enhancement: all Emacs versions before 24.4 did echo the
input.  This is a regression that should be fixed.

> > > C-q 7 7 7.  Now Emacs is hosed - in Neverneverland.  ESC ESC ESC no
> > > good; C-g no good.  No mouse, no keys, nada.  And no CPU use.  Just
> > > hosed.
> > 
> > Not here, it isn't.  After "C-q 7 7 7", any key gets something
> > inserted, and there's no hang.  None.
> 
> As I said before, sometimes it happens and sometimes it does not.

I tried many times, and couldn't get it to hang.

> > > Regardless of whether it freezes each time, if you hit C-q and then
> > > 7 one or more times there is no feedback - already a no-no (bug).
> > 
> > That's indeed a bug, worthy of a separate bug report.
> 
> See above.  There should be no need for a separate report.  This was
> part of this report, from the beginning.  If you want to create a
> separate report for it or rename the subject to better reflect this,
> feel free to do so.

There are too many issues in this report, so I filed a new one for the
lack of echo.